Package Details: dolfin-git 20201015-4

Git Clone URL: https://aur.archlinux.org/dolfin-git.git (read-only, click to copy)
Package Base: dolfin-git
Description: C++ interface of FEniCS for ordinary and partial differential equations.
Upstream URL: https://github.com/FEniCS/dolfinx
Licenses: GPL3
Groups: fenics-git
Submitter: myles
Maintainer: heitzmann
Last Packager: heitzmann
Votes: 9
Popularity: 0.000098
First Submitted: 2013-03-22 22:40
Last Updated: 2020-10-18 12:33

Latest Comments

1 2 3 4 5 6 ... Next › Last »

heitzmann commented on 2020-10-25 15:44

I get the same error. It has to do with openmpi and (maybe) pybind11, but I don't know how to fix it yet.

jvellojin commented on 2020-10-24 17:57

I have successfully installed all the git version of Fenics(x). However, when trying to run any demo I get: Loguru caught a signal: SIGSEGV, Segmentation fault (core dumped). This not happening with the Bittbucket version of Dolfin, nor in Debian Fenicsx version. The error apparently comes from the mesh generation in the demo codes.

heitzmann commented on 2019-03-30 21:20

linux_dream, you can simply remove the line with "-DDOLFIN_ENABLE_HDF5=FALSE" (or set it to true). Just a warning: I've had problems with HDF5 and MPI simultaneously enabled in dolfin before.

linux_dream commented on 2019-03-30 14:25

When I try to read a file.xdmf in Python, I get the error message: Error: Unable to get dataset. Reason: DOLFIN has not been configured with HDF5.

as described https://groups.google.com/forum/#!topic/fenics-support/-ApSpB4-UuY. Would someone happen to know how I can compile dolfin-git with HDF5 support? I already have python-h5py-openmpi, python-lxml, etc.

heitzmann commented on 2019-02-11 10:14

jvellojin, you should probably report this to PETSC, not dolfin. In any case, I believe you have to use fftw-mpi, not fftw.

jvellojin commented on 2019-02-10 19:47

When trying to install from pamac gives the following error when building PETSC:

Unable to find fftw in default locations! Perhaps you can specify with --with-fftw-dir=<directory> If you do not want fftw, then give --with-fftw=0 You might also consider using --download-fftw instead.

Setting --with-fftw=0 is followed by the error: CMake Error at /usr/share/cmake-3.13/Modules/FindPackageHandleStandartArgs.cmake:137 (message): PETSc could not be found. Be sure to set PETSC DIR. (missing: PETSC FOUND)

sigvald commented on 2018-11-09 20:03

r.miguez: You may also be intersted in the Python interface which can be found in the package python-dolfin-git.

r.miguez commented on 2018-11-09 18:43

heitzmann: Thanks for the clarification! I am starting using it and thought it had something on top of executable scripts such as "dolfin-convert".

heitzmann commented on 2018-11-09 18:00

r.miguez: dolfin is a C++ library, it does not have an executable, as far as I know.

r.miguez commented on 2018-11-09 16:43

Hi folks, for some reason I cant execute dolfin after I run the makepkg and build it. I tried to run "source /usr/share/dolfin/dolfin.conf" but nothing happens, I get command not found when I run "dolfin --version". Any clue?